Issues

  • Upload error: 400 Bad Request

    DEBUG:requests.packages.urllib3.connectionpool:Starting new HTTPS connection (1): videobreakdown.azure-api.net DEBUG:requests.packages.urllib3.connectionpool:https://videobreakdown.azure-api.net:443 "POST /Breakdowns/Api/Partner/Breakdowns?name=The+Challenge+of+Varied+Playstyles&privacy=Private&videoUrl=https%3A%2F%2Fvideobreakdown.azure-api.net%2FBreakdowns%2FApi%2FPartner%2FBreakdowns&externalId=145657 HTTP/1.1" 400 136 Traceback (most recent call last): File "/Users/mikedaymond/dev/zonetv/poc/videoindexer/start.py", line 93, in process_new_video r.raise_for_status() File "/Users/mikedaymond/.virtualenvs/videoindexer/lib/python3.6/site-packages/requests/models.py", line 934, in raise_for_status raise HTTPError(http_error_msg, response=self) requests.exceptions.HTTPError: 400 Client Error: Bad Request for url: https://videobreakdown.azure-api.net/Breakdowns/Api/Partner/Breakdowns?name=The+Challenge+of+Varied+Playstyles&privacy=Private&videoUrl=https%3A%2F%2Fvideobreakdown.azure-api.net%2FBreakdowns%2FApi%2FPartner%2FBreakdowns&externalId=145657 During handling of the above exception, another exception occurred: Here is the pathon code code: ``` def process_new_video(assetID,title, url): print ("Posting video to MSFT AI") headers = {'Ocp-Apim-Subscription-Key': 'xxxxxxxxxxxxxxxxxxxxx', 'Content-Type': 'multipart/form-data'} url = "https://videobreakdown.azure-api.net/Breakdowns/Api/Partner/Breakdowns" params = { 'name': title, 'privacy': 'Private', 'videoUrl': url, 'externalId': assetID, } try: r = requests.post(url,params=params, headers=headers) r.raise_for_status() print ("Raise done") except Exception as e: print ("Exception: " +e) ```

    Status: Proposed | Reported by Mike Thu, 30 Nov 2017 22:18:52 GMT
  • CS410-Project-VideoIndexer

    I am getting the following errors. Tried with 2 different Ids: https://www.videoindexer.ai/Api/Widget/Breakdowns/bdc63da1bd/bdc63da1bd/Vtt?language=en-US #c7e1d39502 #bdc63da1bd With the above Url, i am seeing Empty Transcript file. what am i doing wrong? "accountId": "c66c925f-b918-4f39-9819-61a2777decbc", "id": "c7e1d39502", "state": "Failed", "processingProgress": "", "failureCode": "UnsupportedFileType", "failureMessage": "Failed to encode the given input file. Please try a different file format.", .....

    Status: Proposed | Reported by Sudheer Fri, 24 Nov 2017 04:19:16 GMT
  • Free Preview APi

    Hi, I'm using the free preview api with Javascript code and i'm not being able to search my uploaded videos neither get their breakdown, widgets, etc. I'm pretty sure my code is correct so my question is: The free preview only works for public videos?

    Status: Proposed | Reported by Luiz Thu, 23 Nov 2017 18:24:17 GMT
  • Upload video error

    Getting the following error: {"ErrorType":"GENERAL","Message":"Partner-Upload failed. Trace id '34de7d33-f13b-415d-973b-c046b14987fd'."} headers = {'Ocp-Apim-Subscription-Key': '00e4cfb380da4a35bf0d6dc542646b70', 'Content-Type': 'multipart/form-data'} params = urllib.urlencode({ # Request parameters 'name': 'Boat', 'privacy': 'Private', 'videoUrl': 'https://myvideourl.com/video.mp4', 'language': 'English', 'externalId': '{string}', 'metadata': '{string}', 'description': '{string}', 'partition': '{string}', 'callbackUrl': '{string}', 'indexingPreset': '{string}', 'streamingPreset': '{string}', })

    Status: Proposed | Reported by Mike Wed, 22 Nov 2017 19:34:47 GMT
  • Breakdown 'd95130ef69' was not found.

    I uploaded a video and got an id, therefopr I assume the upload is correct. But when checking the status I always get this error message "Breakdown 'd95130ef69' was not found.". What am I doing wrong?

    Status: Proposed | Reported by Tobias Wed, 22 Nov 2017 11:44:23 GMT
  • Upload failed - 500 error

    I am trying to upload a video for analysis but I am always getting { "statusCode": 500, "message": "Internal server error", "activityId": "abbd4192-0226-4351-aacf-bb21ad5c48e5" } I checked and the moov metadata is present. I tried using the Python API. BTW, If I use the Video Indexer website, the file uploads, but it cannot be processed either.

    Status: Open | Reported by Gonzalo Mon, 13 Nov 2017 19:24:29 GMT
  • Resource not found 404 error

    I am run get breakdown method use javascript error rise on 404 or use php script then not error. pls find out error in javascript

    Status: Proposed | Reported by shakil Tue, 07 Nov 2017 11:12:24 GMT
  • how can i get video thumbnail´╝č

    Dear dev team, in my case, my video from url copied(not local upload file) did not have thumbnail, can video indexer api support thumbnail? i can request by id then return thumbnail or other better way. so i can show the video in my video list. thanks a lot! my email: skyline.chenjun@huawei.com

    Status: Proposed | Reported by Gene Tue, 07 Nov 2017 10:23:29 GMT
  • Error 500

    Hi, I faced error 500 when trying to upload a video from the following URL https://unilever-my.sharepoint.com/personal/rafael_silotto_unilever_com/_layouts/15/guestaccess.aspx?guestaccesstoken=KhjRGxyqIJlVhJS%2fsnoOsAE8MU8cFtRskKzpo4BGor0%3d&docid=2_1af640845220a446689b17b3b863ca3df&rev=1

    Status: Proposed | Reported by rafael Fri, 27 Oct 2017 11:08:54 GMT
  • Error 401

    Hi, I am facing an error message when trying to get a Vtt Url for my video. ID: 6612c4cefc

    Status: Proposed | Reported by rafael Thu, 26 Oct 2017 18:31:40 GMT

You're not signed in. Please sign-in to report an issue or post a comment.